%global momorel 2
%define dir 13637

Summary: A Japanese character input system library.(with dictionary)
Name: anthy
Version: 6300d
Release: %{momorel}m
URL: http://anthy.sourceforge.jp/
%NoSource 0 http://downloads.sourceforge.jp/anthy/%{dir}/%{name}-%{version}.tar.gz 7bbb58cb2c759ca065dad40b194ff118
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: emacs

%description
Anthy is free and secure Japanese input system.

%package devel
Summary: Headers of %{name} for development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Anthy development package: static libraries, header files, and the like.

%prep
%setup -q

%build
%configure

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/xim.d
cat > %{buildroot}%{_sysconfdir}/X11/xinit/xim.d/Anthy-uim-xim << EOF
NAME="Anthy/uim-xim"
IM_EXEC="uim-xim"
XMODIFIERS=@im=uim-anthy
export IM_EXEC XMODIFIERS
GTK_IM_MODULE=xim
QT_IM_MODULE=xim
export GTK_IM_MODULE QT_IM_MODULE
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog DIARY INSTALL NEWS README doc
%config(noreplace) %{_sysconfdir}/anthy-conf
%{_sysconfdir}/X11/xinit/xim.d/Anthy-uim-xim
%{_bindir}/anthy-agent
%{_bindir}/anthy-dic-tool
%{_libdir}/*.so
%{_libdir}/*.so.*
%{_datadir}/anthy 
%{_datadir}/emacs/site-lisp/anthy

%files devel
%defattr(-,root,root)
%{_includedir}/anthy
%{_libdir}/pkgconfig/anthy.pc
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Sun Apr 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (6300d-2m)
- move %%{_libdir}/*.so from anthy-devel to anthy

* Tue Mar  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (6300d-1m)
- version 6300d

* Sun Mar  6 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (6300c-1m)
- version 6300c

* Tue Mar  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (6300-1m)
- version 6300

* Sat Nov  6 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5900-1m)
- version 5900
- add GTK_IM_MODULE and QT_IM_MODULE to xim.d/Anthy-uim-xim

* Fri Aug 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5500-2m)
- -n %%{name}-devel -> devel
- add %%post and %%postun sections

* Sat Jul 10 2004 kourin <kourin@fh.freeserve.ne.jp>
- (5500-1m)
- version 5500

* Mon Mar 1 2004 kourin <kourin@fh.freeserve.ne.jp>
- (5100-1m)
- version 5100

* Tue Feb 10 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4700-2m)
- separate libanthy and libanthy-devel packages

* Thu Jan 22 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4700-1m)
- version 4700

* Tue Oct 14 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4300b-1m)
- import

* Tue Aug 5 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 4200b-1
- Version updated.

* Thu Jul 10 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 4200-1
- Version updated.
- added description.

* Fri Nov 25 2002 OGUMA "dellin" Hironori <dellin@team-ct.org> 3500c-1
- Version updated.
- Added some documents.

* Fri Nov 22 2002 OGUMA "dellin" Hironori <dellin@team-ct.org> 3500b-1
- Version updated.

* Thu Jan  3 2002 Yusuke Tabata <yusuke@kmc.gr.jp>
- Changed my mail address and URL of web page

* Thu Nov 11 2001 Takayoshi Nobuoka <taka@trans-nt.com>
- Added %{_sysconfdir}/* at %files

* Wed Sep  9 2001 Takayoshi Nobuoka <taka@trans-nt.com>
- Used _bindir and so on.

* Sun Aug 19 2001 Tabatee <yusuke@kmc.kyoto-u.ac.jp>
- Initial build.
